/// <reference types="vite/client" />

export interface ImportMetaEnv {
  /** 项目标题 */
  readonly VITE_GLOB_APP_TITLE: string
  /** 项目 本地端口 */
  readonly VITE_PORT: number
  /** 是否自动打开浏览器 */
  readonly VITE_OPEN: boolean
  /** 打包后是否生成包分析文件 */
  readonly VITE_REPORT: boolean
  /** # 线上环境 */
  readonly VITE_USER_NODE_ENV: 'development' | 'production' | 'test'
  /** # 公共基础路径 */
  readonly VITE_PUBLIC_PATH: string
  /** # 打包压缩算法 */
  readonly VITE_BUILD_COMPRESS: 'gzip' | 'brotli' | 'gzip,brotli' | 'none'
  /**打包时是否删除 console */
  readonly VITE_DROP_CONSOLE: boolean
  /** # 接口地址 */
  readonly VITE_API_URL: string
  /** # 接口代理 */
  readonly VITE_PROXY: [string, string][]
}
